Subject: Re: another order returned
From: "Mike" <[email-masked]>
To: "Cyndi Mounday" <[email-masked]>
Date: Thu, 2 Aug 2007 15:34:20 -0400

Cyndi,
I will try and send it to the PO Box 2504 address.
Thank you,
Mike -LLPS

----- Original Message ----- 
From: "Cyndi Mounday" <[email-masked]>
To: "Mike" <[email-masked]>
Sent: Thursday, August 02, 2007 3:01 PM
Subject: Re: another order returned

>I would try to P.O. Box number, the same thing happens to us.
> 
> Mike wrote:
> 
>> Hi Cyndi.
>> Got another order back today.  This one is for "_The Crosby 
>> Estates_" at 8011 Del Dios Hwy. Rancho Santa Fe, CA.  I looked up the 
>> history of this company and it looks like we have consistently had 
>> posters returned "Not Deliverable as addressed".  We did have a PO Box 
>> 2504 from one order.  Let me know what will work for these folks and I 
>> can resend the order out.
>> Thank you,
>> Michael Bishop
>> Labor Law Poster Service
>> Phone 877-321-4144
>> Fax 888-442-4144
>> [email-masked] <mailto:[email-masked]>
> 
>